Returns the operation time for this session

- « MongoDB\Driver\Session::getLogicalSessionId

- MongoDB\Driver\Session::getServer »

- PHP Manual
- MongoDB\Driver\Session
- Returns the operation time for this session

# MongoDB\Driver\Session::getOperationTime

(mongodb >=1.4.0)

MongoDB\Driver\Session::getOperationTime — Returns the operation time for this session

### Description

final public MongoDB\Driver\Session::getOperationTime(): ?MongoDB\BSON\Timestamp

Returns the operation time for this session. If the session has not been used for any operation and MongoDB\Driver\Session::advanceOperationTime() has not been called, the operation time will be `null`

### Parameters

This function has no parameters.

### Return Values

Returns the operation time for this session, or `null` if the session has no operation time.

### Errors/Exceptions

- Throws MongoDB\Driver\Exception\InvalidArgumentException on argument parsing errors.

### See Also

- MongoDB\Driver\Session::advanceOperationTime() - Advances the operation time for this session